/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

/*
 * Gouraudovo stinovani
 */

#version 420

in vec3 AD;
in vec3 S;
in vec2 tc;

uniform sampler2D KaTex;
uniform vec3 Ka;

out vec4 fragColor;

void main() {
    fragColor = vec4(texture(KaTex,tc).rgb*AD+S,1);
}
