/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

#ifndef DRAWLIST_H
#define DRAWLIST_H

#include <QVector>
class QMatrix4x4;
class Material;
class Node;

/* Struktura pro vytvoreni drawlistu*/
class DrawListItem{
public:
    QMatrix4x4 mat;
    QMatrix4x4 nMat;
    Material *material;
    Node *node;
};

typedef QVector<DrawListItem> DrawList;

#endif // DRAWLIST_H
