/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

#ifndef SCENE0_H
#define SCENE0_H

#include "scene.h"

/**
 * Seznam scen
 */
class Scenes{
public:
    enum SceneName{Sphere=0, SphereH,
                   Cube, CubeH,
                   Angel, AngelH,
                   Sponza, SponzaH,
                   Dragon, DragonH,
                   Hut, HutH,
                   Chess, ChessH,
                   Aeroworks,AeroworksH,
                   Pole,PoleH,
                   Floor,
                   Walls,
                   Light,
                   Empty,
                   SCENE_COUNT};

    static QMap<int, Scene*> scenes;

    static Scene* getScene(int i);
};

#endif // SCENE0_H
