/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

/*
 * Ploche stinovani
 */

#version 420

flat in vec3 AD;
flat in vec3 S;
in vec2 tc;

uniform vec3 Ka;
uniform sampler2D KaTex;

out vec4 fragColor;

void main() {
    fragColor = vec4(texture(KaTex,tc).rgb*AD+S,1);
}
