/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

/*
 * Phongovo stinovani
 */

#version 420

in vec3 pos;
in vec3 norm;
in vec2 tex;

uniform mat4 mvp;
uniform mat4 m;
uniform mat4 mNorm;

out vec2 tc;
out vec3 position;
out vec3 normal;

void main() {
    gl_Position = mvp * m * vec4(pos,1);

    tc=tex;
    position = (m * vec4(pos,1)).xyz;
    normal = (mNorm * vec4(norm,1)).xyz;
}
