/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */
#include "variables.h"


#include "gui/mainwindow.h"
#include <QApplication>
#include <QDir>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);    

    foreach(QString s, a.arguments()){
        if(s=="--demo"){
            Variables::i()->demo=true;
        }

        if(s=="--record"){
            Variables::i()->recording=true;
            QDir f(".");
            f.mkdir("rec");
        }

    }

    MainWindow w;
    w.show();
    if(Variables::i()->versionCheckFailed){
        return 0;
    }

    return a.exec();
}
